Subject: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Ken Brown <[email-masked]>
Date: Thu, 27 Jun 2013 15:32:16 -0400

On 6/27/2013 10:56 AM, Paul Eggert wrote:
> On 06/24/2013 04:50 PM, Angelo Graziosi wrote:
>> the bootstrap completed *without* errors!
>
> OK, thanks, as trunk bzr 113206 I installed a change
> to skip the gnulib tickling on Cygwin.
>
> Although this should fix the bootstrap failure, I expect that
> this reintroduces a bug into Cygwin Emacs, namely,
> Emacs can sometimes lose track of subprocesses and/or kill off
> unrelated processes; see Bug#12980 and Bug#8855.
> Fixing this will require someone with access to Cygwin
> and knowledge of how to debug threads under Cygwin,
> neither of which I have.  Since the issue appears only
> under Cygwin it could well be a Cygwin bug rather than an
> Emacs or glib bug.

Another alternative is to replace

     if (! noninteractive || initialized)

by

     if (! noninteractive)

at least on Cygwin.  That allows the bootstrap to complete without 
errors.  Assuming this doesn't cause other problems, we wouldn't have to 
worry about reintroducing bugs into (interactive) Cygwin Emacs.

Ken